Results 1 to 11 of 11

Thread: Problem with imagick installation

  1. #1
    Join Date
    Mar 2012
    Posts
    195

    Problem with imagick installation

    I have the following problem with installation:
    configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
    checking for gawk... no
    checking for nawk... nawk
    checking if nawk is broken... no
    checking whether to enable the imagick extension... yes, shared
    checking whether to enable the imagick GraphicsMagick backend... no
    checking ImageMagick MagickWand API configuration program... configure: error: not found. Please provide a path to MagickWand-config or Wand-config program.

    What should i do to fix this issue?

    Debian 6.0

    Regards

  2. #2
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,400
    Hello,

    You should either install ImageMagick from sources then, or use magickwand

  3. #3
    Join Date
    Mar 2012
    Posts
    195
    I'm sorry, I did not write that I am trying to install imagick source.

    PHP Code:
    root@selserv:/usr/src/imagick-3.0.1# phpize
    Configuring for:
    PHP Api Version:         20041225
    Zend Module Api No
    :      20060613
    Zend Extension Api No
    :   220060519
    configure
    .in:3warningprefer named diversions
    configure
    .in:3warningprefer named diversions
    root
    @selserv:/usr/src/imagick-3.0.1# ./configure
    checking for grep that handles long lines and -e... /bin/grep
    checking 
    for egrep... /bin/grep -E
    checking 
    for a sed that does not truncate output... /bin/sed
    checking 
    for cc... cc
    checking whether the C compiler works
    ... yes
    checking 
    for C compiler default output file name... a.out
    checking 
    for suffix of executables...
    checking whether we are cross compiling... no
    checking 
    for suffix of object files... o
    checking whether we are using the GNU C compiler
    ... yes
    checking whether cc accepts 
    -g... yes
    checking 
    for cc option to accept ISO C89... none needed
    checking how to run the C preprocessor
    ... cc -E
    checking 
    for icc... no
    checking 
    for suncc... no
    checking whether cc understands 
    -and -o together... yes
    checking 
    for system library directory... lib
    checking 
    if compiler supports -R... no
    checking 
    if compiler supports -Wl,-rpath,... yes
    checking build system type
    ... x86_64-unknown-linux-gnu
    checking host system type
    ... x86_64-unknown-linux-gnu
    checking target system type
    ... x86_64-unknown-linux-gnu
    checking 
    for PHP prefix... /usr/local
    checking 
    for PHP includes... -I/usr/local/include/php -I/usr/local/include/php/m                                                                                        ain -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/inc                                                                                        lude/php/ext -I/usr/local/include/php/ext/date/lib
    checking 
    for PHP extension directory... /usr/local/lib/php/extensions/no-debug-n                                                                                        on-zts-20060613
    checking 
    for PHP installed headers prefix... /usr/local/include/php
    checking 
    if debug is enabled... no
    checking 
    if zts is enabled... no
    checking 
    for re2c... no
    configure
    WARNINGYou will need re2c 0.13.4 or later if you want to regenerate                                                                                         PHP parsers.
    checking for gawk... no
    checking 
    for nawk... nawk
    checking 
    if nawk is broken... no
    checking whether to enable the imagick extension
    ... yesshared
    checking whether to enable the imagick GraphicsMagick backend
    ... no
    checking ImageMagick MagickWand API configuration program
    ... configureerrornot foundPlease provide a path to MagickWand-config or Wand-config program
    The results of a google search shows that the problem is common.

    Unfortunately I have not found a solution.

    Regards

  4. #4
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,400
    I wrote:

    You should either install ImageMagick (!not imagick) from sources then, or use magickwand

    it means you should delete installed ImageMagick with apt-get/aptitude and install it from a source file, and only then you should try to install imagick

  5. #5
    Join Date
    Mar 2012
    Posts
    195
    You are absolutely right.
    My big mistake.

    Unfortunately, I have a new problem.

    PHP Code:
    Cannot find config.m4.
    Make sure that you run '/usr/local/bin/phpize' in the top level source directory of the module 
    I found some solutions in google, but none helped.
    I'm giving up

    Regards

  6. #6
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,400
    What commands do you type (starting from changing a directory, till you get the error)? A screenshot would be great.

  7. #7
    Join Date
    Mar 2012
    Posts
    195
    Sorry.
    I am sleepy and do stupid things.

    I installed ImageMagick:
    PHP Code:
    ./configure
    make
    make install 
    make check is ok

    I installed MagickWand:
    PHP Code:
    phpize
    ./configure
    make
    make install 
    In /usr/local/lib/php/extensions/no-debug-non-zts-20060613 appear magickwand.so
    I added extension=magickwand.so to my php.ini. After httpd restart extension is not visible in phpinfo().

  8. #8
    Join Date
    Apr 2009
    Posts
    2,171
    Maybe try to add this to php.ini (and then restart httpd):

    Code:
    extension=imagick.so

  9. #9
    Join Date
    Mar 2012
    Posts
    195
    It did not help.

    Maybe I install it in a wrong way?

    In /usr/local/lib/php/extensions/no-debug-non-zts-20060613 i have only apc.so and magickwand.so

    Regards

  10. #10
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,400
    In your post here I don't see you installed imagick. Did you install it?

  11. #11
    Join Date
    Mar 2012
    Posts
    195
    I am now very stupid:]

    I have 3 servers with different systems. I installed Imagick on a good machine, but I checked (phpinfo) on the wrong.

    Sorry
    Thank for your help

Similar Threads

  1. Imagick 3.x won't work with PHP 5.3.x
    By Scolpy in forum System-Level Technical Discussion
    Replies: 13
    Last Post: 04-21-2012, 11:08 AM
  2. Imagick Install Problem On Centos 5
    By bilogate in forum System-Level Technical Discussion
    Replies: 2
    Last Post: 12-23-2011, 07:55 AM
  3. installing imagick php extension
    By mikeschroeder in forum 3rd Party Software
    Replies: 5
    Last Post: 02-24-2010, 10:57 AM
  4. Problem with Imagick
    By inventive79 in forum MySQL / PHP
    Replies: 7
    Last Post: 02-25-2009, 06:39 AM
  5. Imagick
    By webaltern in forum MySQL / PHP
    Replies: 0
    Last Post: 01-09-2009, 02:17 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •